//底部二手房分站显示
$(function(){
	$("#show_fen_sell").bind("mouseover",function(){
		$("#fen_sell_tc").show();
	}).bind("mouseout",function(){
		$("#fen_sell_tc").hide();
	});
	$("#fen_sell_tc").bind("mouseover",function(){
		$(this).show();
	}).bind("mouseout",function(){
		$(this).hide();
	});
	$("#show_fen_rent").bind("mouseover",function(){
		$("#fen_rent_tc").show();
	}).bind("mouseout",function(){
		$("#fen_rent_tc").hide();
	});
	$("#fen_rent_tc").bind("mouseover",function(){
		$(this).show();
	}).bind("mouseout",function(){
		$(this).hide();
	});
	
	
	
	
	
	
	
	
	$(".js_intextInput").each(function(index, element) {
		$(this).focus(function(){
			$(this).prev(".label").hide()
		}).blur(function(){
			if($(this).val() == "")
				$(this).prev(".label").show();
		})
		if($(this).val() != "")
			$(this).prev(".label").hide();
		else
			$(this).prev(".label").show();	
	});
	
	
	
	
	
	
/*
	
	$("#name").blur(function(){
				if(this.value=='')
				{
					this.value='请输入登录名';this.className='inputText'
				}
				else if(this.value !='请输入登录名')
				{
					this.className='inputText inputTextActive'
				}
	}).focus(function(){
				$("#errorInner").html(this.value);
				$("#errorBlock").hide();
				if(this.value=='请输入登录名')
				{
					this.value='';
					this.className='inputText inputTextActive'
				};
	}).change(function(){
			if(this.value !='请输入登录名')
				{
					this.className='inputText inputTextActive'
				}
	});
	
	
	$("#password").blur(function(){
			if(this.value=='')
			{
				this.className='inputText inputTextBg'
			}
	}).focus(function(){
			$("#errorInner").html("");
			$("#errorBlock").hide();
			this.className='inputText inputTextActive'
	}).change(function(){
				this.className='inputText inputTextActive'
	});
	
	
	$("#code").blur(function(){
			if(this.value=='')
			{
				this.value='请输入验证码';this.className='inputText inputText02'
			}
	}).focus(function(){
			$("#errorInner").html("");
			$("#errorBlock").hide();
			if(this.value=='请输入验证码')
			{
				this.value='';this.className='inputText inputText02 inputTextActive'
			}
	});
	$("#code").trigger("focus");
*/


$("#code,#password").focus(function(){
	if($(this).hasClass('inputError'))
	{
		$(this).select();
	}
})



	
$("#login_submit").click(function(){
	var name = $("#name").val();
	var pwd = $("#password").val();
	var code = $("#code").val();
	if(name == "")
	{
		$("#errorInner").html("请输入登录名");
		$("#errorBlock").show();
		$("#name").addClass("inputError");
	}
	else if(pwd == "")
	{
		$("#errorInner").html("请输入密码");
		$("#errorBlock").show();
		$("#password").addClass("inputError");
	}
	else if(code == "")
	{
		$("#errorInner").html("请输入验证码");
		$("#errorBlock").show();
		$("#code").addClass("inputError");
	}
	else
	{
		$("#new_login_btn_none").show();
		
		$.post("/login_wang/",
			{action:'check_login', username:name, password:pwd, yzm:code},
			function(data){
				switch(data)
				{
					case 'check_ok':	window.location.href = '/login/enter/';
										break;
					case 'u_p_error':	$("#new_login_btn_none").hide();
										$("#errorInner").html("您输入的密码错误，请重试。");
										$("#errorBlock").show();
										$("#password").addClass("inputError");
										change_validecode('/valid/');
										$("#code").val('');
										break;
					case 'exp_error':	$("#new_login_btn_none").hide();
										$("#errorInner").html("您的账号已到期。");
										$("#errorBlock").show();
										$("#name").addClass("inputError");
										break;
					case 'vad_error':	$("#new_login_btn_none").hide();
										$("#errorInner").html("您的账号已禁用，请联系客服解决。");
										$("#errorBlock").show();
										$("#name").addClass("inputError");
										break;
					case 'yzm_error':	$("#new_login_btn_none").hide();
										$("#errorInner").html("验证码错误，请重试。");
										$("#errorBlock").show();
										$("#code").addClass("inputError");
										change_validecode('/valid/');
										break;
					default:			$("#new_login_btn_none").hide();
										$("#errorInner").html("登陆提交处理异常，请稍后重试。");
										$("#errorBlock").show();
										break;
				}
			}
		);
	}
	
})

$("#name,#password,#code").focus(function(){
		$("#errorInner").html("");
		$("#errorBlock").hide();
		$(this).removeClass("inputError");
})





}); 


function formSubmit(){
/*	
if($("#name").val() == "" || $("#name").val() == "请输入登录名")
	{
		$("#errorInner").html("请输入登录名");
		$("#errorBlock").show();
		$("#name").addClass("inputError");
		return false
	}
	else if($("#password").val() == "")
	{
		$("#errorInner").html("请输入密码");
		$("#errorBlock").show();
		$("#password").addClass("inputError");
		return false
	}
	else if($("#code").val() == "" || $("#code").val() == "请输入验证码")
	{
		$("#errorInner").html("请输入验证码");
		$("#errorBlock").show();
		$("#code").addClass("inputError");
		return false
	}
*/
}

function showError($errormsg)
{
    switch($errormsg)
    {
        case 'u_p_error':   $("#errorInner").html("账号或密码错误，请确认后重新提交！");
                            $("#errorBlock").show();
                            //$("#name").addClass("inputError");
                            break;
                            
        case 'vad_error':
        case 'exp_error':   $("#errorInner").html("该账号已到期，请联系网站工作人员！");
                            $("#errorBlock").show();
                            //$("#name").addClass("inputError");
                            break;
                            
        case 'yzm_error':   $("#errorInner").html("验证码错误！");
                            $("#errorBlock").show();
                            $("#code").addClass("inputError");
                            break;
                            
        default:            $("#errorInner").html("登陆失败，请稍后再试！");
                            $("#errorBlock").show();
                            //$("#name").addClass("inputError");
                            break;
    }
}


function addBookmark() {

		var ctrl = (navigator.userAgent.toLowerCase()).indexOf('mac') != -1 ? 'Command/Cmd': 'CTRL';
		if (document.all) {
			window.external.addFavorite("http://nj.zsb.house365.com", "南京租售宝_365二手房网");
		} else if ((typeof window.sidebar == "object") && (typeof window.sidebar.addPanel == "function")) {
			window.sidebar.addPanel("南京租售宝_365二手房网", "http://nj.zsb.house365.com", "");
		} else {
			alert('您可以尝试通过快捷键' + ctrl + ' + D 加入到收藏夹~');
		}


    return false
}

function setHomepage(B) {
    if (document.all) {
        document.body.style.behavior = "url(#default#homepage)";
        document.body.setHomePage(B)
    } else {
        if (window.sidebar) {
            if (window.netscape) {
                try {
                    netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect")
                } catch(C) {
                    alert("该操作被浏览器拒绝，如果想启用该功能，请在地址栏内输入 about:config,然后将项 signed.applets.codebase_principal_support 值该为true")
                }
            }
            var A = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);
            A.setCharPref("browser.startup.homepage", B)
        } else {
            alert("您所使用的浏览器暂不支持此功能.")
        }
    }
    return false
}



function toDesktop(F, D, C) {
    try {
        var B = new ActiveXObject("WScript.Shell");
        var A = B.CreateShortcut(B.SpecialFolders("Desktop") + "\\" + F + ".url");
        A.TargetPath = D;
        A.Save()
    } catch(E) {
        location.href = C
    }
    return false
}

function change_validecode(normalsrc)
{ 
	var src = normalsrc + '?' + Math.random();
	$('.imgY').attr('src',src);
}